Page 2 of 2

Re: hURL Linking on Linux arm fails

Posted: Thu Jul 30, 2020 11:38 am
by fingus
I can´t edited my previous entry.

I did install libssl1.0.2

Its the only one which is found by apt-get and installs

So my conclusion is:

hurl.hwp for linux/arm is hardcoded to version 1.0.0 of libssl

Re: hURL Linking on Linux arm fails

Posted: Thu Jul 30, 2020 11:55 am
by airsoftsoftwair
fingus wrote:
Thu Jul 30, 2020 11:38 am
hurl.hwp for linux/arm is hardcoded to version 1.0.0 of libssl
Yes, unfortunately, that's always a problem on Linux. If newer OpenSSL versions don't install a compatibility softlink for older versions it probably means they aren't compatible so the only solution is to install the right version of OpenSSL for your architecture. If apt-get doesn't find it, try searching http://packages.debian.org for the version you need, e.g. https://packages.debian.org/search?suit ... l.so.1.0.0

For Raspberry Pi you need the armhf build. After you've found the right package, add the mirror to /etc/apt/sources.list and then do something like

Code: Select all

sudo apt-get update
sudo apt-get install libssl1.0.0
to install it.

Re: hURL Linking on Linux arm fails

Posted: Thu Jul 30, 2020 4:20 pm
by fingus
I did download and install the libssl1.0.0.dab but it seems it have some kind of autoupdater which ended in version 1.1.1d. :x